<!--
//xmlhttp和xmldom对象
var ngXHTTP = null;
var ngXDOM = null;
var ngContainer = null;
var ngShowError = false;
var ngShowWait = false;
var ngErrCon = "";
var ngErrDisplay = "下载数据失败";
var ngWaitDisplay = "正在下载数据...";

//获取指定ID的元素
//function $(eid){
//	return document.getElementById(eid);
//}

function $DE(id) {
	return document.getElementById(id);
}

//gcontainer 是保存下载完成的内容的容器
//mShowError 是否提示错误信息
//ngShowWait 是否提示等待信息
//mErrCon 服务器返回什么字符串视为错误
//mErrDisplay 发生错误时显示的信息
//mWaitDisplay 等待时提示信息
//默认调用 ngAjax('divid',false,false,'','','')

function ngAjax(gcontainer,mShowError,mShowWait,mErrCon,mErrDisplay,mWaitDisplay){

ngContainer = gcontainer;
ngShowError = mShowError;
ngShowWait = mShowWait;
if(mErrCon!="") ngErrCon = mErrCon;
if(mErrDisplay!="") ngErrDisplay = mErrDisplay;
if(mErrDisplay=="x") ngErrDisplay = "";
if(mWaitDisplay!="") ngWaitDisplay = mWaitDisplay;


//post或get发送数据的键值对
this.keys = Array();
this.values = Array();
this.keyCount = -1;

//http请求头
this.rkeys = Array();
this.rvalues = Array();
this.rkeyCount = -1;

//请求头类型
this.rtype = 'text';

//初始化xmlhttp
if(window.ActiveXObject){//IE6、IE5
   try { ngXHTTP = new ActiveXObject("Msxml2.XMLHTTP");} catch (e) { }
   if (ngXHTTP == null) try { ngXHTTP = new ActiveXObject("Microsoft.XMLHTTP");} catch (e) { }
}
else{
	 ngXHTTP = new XMLHttpRequest();
}

//增加一个POST或GET键值对
this.AddKey = function(skey,svalue){
	this.keyCount++;
	this.keys[this.keyCount] = skey;
	svalue = svalue.replace(/\+/g,'$#$');
	this.values[this.keyCount] = escape(svalue);
};

//增加一个Http请求头键值对
this.AddHead = function(skey,svalue){
	this.rkeyCount++;
	this.rkeys[this.rkeyCount] = skey;
	this.rvalues[this.rkeyCount] = svalue;
};

//清除当前对象的哈希表参数
this.ClearSet = function(){
	this.keyCount = -1;
	this.keys = Array();
	this.values = Array();
	this.rkeyCount = -1;
	this.rkeys = Array();
	this.rvalues = Array();
};


ngXHTTP.onreadystatechange = function(){
	//在IE6中不管阻断或异步模式都会执行这个事件的
	if(ngXHTTP.readyState == 4){
    if(ngXHTTP.status == 200){
       if(ngXHTTP.responseText!=ngErrCon){
         ngContainer.innerHTML = ngXHTTP.responseText;
       }else{
       	 if(ngShowError) ngContainer.innerHTML = ngErrDisplay;
       }
       ngXHTTP = null;
    }else{ if(ngShowError) ngContainer.innerHTML = ngErrDisplay; }
  }else{ if(ngShowWait) ngContainer.innerHTML = ngWaitDisplay; }
};

//检测阻断模式的状态
this.BarrageStat = function(){
	if(ngXHTTP==null) return;
	if(typeof(ngXHTTP.status)!=undefined && ngXHTTP.status == 200)
  {
     if(ngXHTTP.responseText!=ngErrCon){
         ngContainer.innerHTML = ngXHTTP.responseText;
     }else{
       	if(ngShowError) ngContainer.innerHTML = ngErrDisplay;
     }
  }
};

//发送http请求头
this.SendHead = function(){
	if(this.rkeyCount!=-1){ //发送会员自行设定的请求头
  	for(;i<=this.rkeyCount;i++){
  		ngXHTTP.setRequestHeader(this.rkeys[i],this.rvalues[i]); 
  	}
  }
　if(this.rtype=='binary'){
  	ngXHTTP.setRequestHeader("Content-Type","multipart/form-data");
  }else{
  	ngXHTTP.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
  }
};

//用Post方式发送数据
this.SendPost = function(purl){
	var pdata = "";
	var i=0;
	this.state = 0;
	ngXHTTP.open("POST", purl, true); 
	this.SendHead();
  if(this.keyCount!=-1){ //post数据
  	for(;i<=this.keyCount;i++){
  		if(pdata=="") pdata = this.keys[i]+'='+this.values[i];
  		else pdata += "&"+this.keys[i]+'='+this.values[i];
  	}
  }
  ngXHTTP.send(pdata);
};

//用GET方式发送数据
this.SendGet = function(purl){
	var gkey = "";
	var i=0;
	this.state = 0;
	if(this.keyCount!=-1){ //get参数
  	for(;i<=this.keyCount;i++){
  		if(gkey=="") gkey = this.keys[i]+'='+this.values[i];
  		else gkey += "&"+this.keys[i]+'='+this.values[i];
  	}
  	if(purl.indexOf('?')==-1) purl = purl + '?' + gkey;
  	else  purl = purl + '&' + gkey;
  }
	ngXHTTP.open("GET", purl, true); 
	this.SendHead();
  ngXHTTP.send(null);
};

//用GET方式发送数据，阻塞模式
this.SendGet2 = function(purl){
	var gkey = "";
	var i=0;
	this.state = 0;
	if(this.keyCount!=-1){ //get参数
  	for(;i<=this.keyCount;i++){
  		if(gkey=="") gkey = this.keys[i]+'='+this.values[i];
  		else gkey += "&"+this.keys[i]+'='+this.values[i];
  	}
  	if(purl.indexOf('?')==-1) purl = purl + '?' + gkey;
  	else  purl = purl + '&' + gkey;
  }
	ngXHTTP.open("GET", purl, false); 
	this.SendHead();
  ngXHTTP.send(null);
  //firefox中直接检测XHTTP状态
  this.BarrageStat();
};

//用Post方式发送数据
this.SendPost2 = function(purl){
	var pdata = "";
	var i=0;
	this.state = 0;
	ngXHTTP.open("POST", purl, false); 
	this.SendHead();
  if(this.keyCount!=-1){ //post数据
  	for(;i<=this.keyCount;i++){
  		if(pdata=="") pdata = this.keys[i]+'='+this.values[i];
  		else pdata += "&"+this.keys[i]+'='+this.values[i];
  	}
  }
  ngXHTTP.send(pdata);
  //firefox中直接检测XHTTP状态
  this.BarrageStat();
};


} // End Class ngAjax

//初始化xmldom
function InitXDom(){
  if(ngXDOM!=null) return;
  var obj = null;
  if (typeof(DOMParser) != "undefined") { // Gecko、Mozilla、Firefox
    var parser = new DOMParser();
    obj = parser.parseFromString(xmlText, "text/xml");
  } else { // IE
    try { obj = new ActiveXObject("MSXML2.DOMDocument");} catch (e) { }
    if (obj == null) try { obj = new ActiveXObject("Microsoft.XMLDOM"); } catch (e) { }
  }
  ngXDOM = obj;
};

-->
